from moviepy.editor import VideoFileClip, concatenate_videoclips
import os

def merge_videos(input_folder, output_file):
    video_clips = []

    # Get all MP4 files in the input folder
    mp4_files = [file for file in os.listdir(input_folder) if file.endswith(".mp4")]

    # Sort files to ensure proper order
    mp4_files.sort()

    for mp4_file in mp4_files:
        file_path = os.path.join(input_folder, mp4_file)

        # Load video clip
        video_clip = VideoFileClip(file_path)
        video_clips.append(video_clip)

    # Concatenate video clips with smooth transitions
    final_clip = concatenate_videoclips(video_clips, method="compose")

    # Set temporary directory for audio file
    temp_audio_path = os.path.join(input_folder, "temp_audio.mp3")

    # Write the final merged video to the output file
    final_clip.write_videofile(output_file, codec="libx264", fps=24, audio=temp_audio_path)

if __name__ == "__main__":
    input_folder = r"C:\Users\anshu\OneDrive\Desktop\Projects\videogenrationscripts\Aurangabad\male"
    output_file = r"C:\Users\anshu\OneDrive\Desktop\Projects\videogenrationscripts\Aurangabad\male"

    merge_videos(input_folder, output_file)
